services:
  void-bot:
    image: prinshertog/discord-void-bot
    environment:
      - CONN_STR=mongodb://user:pass@mongodb:27017
      - TOKEN=MTQwNDU2NzUyMjMwNDU4OTk2NA.GOjvLR.TYBTXhDaGQzpOBlslm8CqEc0JfSBBkL9P9wNpc
      - CLIENT_ID=1404567522304589964
      - GUILD_ID=1402308753180721152
      - DB_NAME=bot-db
    depends_on:
      - mongodb
    restart: always
  mongodb:
    image: mongodb/mongodb-community-server:6.0-ubi8
    environment:
      - MONGODB_INITDB_ROOT_USERNAME=user
      - MONGODB_INITDB_ROOT_PASSWORD=pass
    volumes:
      - type: bind
        source: ./dockerdata
        target: /data/db
    restart: always
networks: {}
